#!/bin/bash
set -x
set -e

SYNE_TUNE=~/code/sagemaker-tune/
LATEX_REPO=$PWD
EXP_TAG="icmlv4"

src_figures=${SYNE_TUNE}/figures/icml2023/tabular/${EXP_TAG}/
latex_figures=${LATEX_REPO}/figures

echo "Copy figures of tabular experiment from ${src_figures} to ${LATEX_REPO}" 
cp -R $src_figures/${latex_table} ${LATEX_REPO}/figures/  

src_figures=${SYNE_TUNE}/figures/icml2023/synthetic/
echo "Copy synthetic example figures from ${src_figures} to ${LATEX_REPO}" 
cp $src_figures/synthetic-function-and-acquisition.pdf $latex_figures/
cp $src_figures/synthetic-performance-full.pdf  $latex_figures/

echo "Copy latex table of surrogate experiment to ${LATEX_REPO}" 
cp ${SYNE_TUNE}/figures/icml2023/surrogate/tab*.tex ${LATEX_REPO}/results/  


cp ${SYNE_TUNE}/figures/icml2023/method-illustration.pdf $latex_figures/

mv ${LATEX_REPO}/figures/single-fidelity/Average\ rank.pdf ${LATEX_REPO}/figures/single-fidelity/Average-rank.pdf
mv ${LATEX_REPO}/figures/multi-fidelity/Average\ rank.pdf ${LATEX_REPO}/figures/multi-fidelity/Average-rank.pdf
mv ${LATEX_REPO}/figures/multi-fidelity-extension/Average\ rank.pdf ${LATEX_REPO}/figures/multi-fidelity-extension/Average-rank.pdf

mv ${LATEX_REPO}/figures/single-fidelity/Normalized\ regret.pdf ${LATEX_REPO}/figures/single-fidelity/Normalized-regret.pdf
mv ${LATEX_REPO}/figures/multi-fidelity/Normalized\ regret.pdf ${LATEX_REPO}/figures/multi-fidelity/Normalized-regret.pdf
mv ${LATEX_REPO}/figures/multi-fidelity-extension/Normalized\ regret.pdf ${LATEX_REPO}/figures/multi-fidelity-extension/Normalized-regret.pdf


